Bug 558132 - brlapi-devel: libbrlapi.so symlink broken
Summary: brlapi-devel: libbrlapi.so symlink broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: brltty
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-23 20:18 UTC by Edward Sheldrake
Modified: 2012-02-12 22:53 UTC (History)
2 users (show)

Fixed In Version: brltty-4.3-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-12 22:52:48 UTC


Attachments (Terms of Use)

Description Edward Sheldrake 2010-01-23 20:18:42 UTC
Description of problem:
brlapi-devel contains a broken symlink for libbrlapi.so

Version-Release number of selected component (if applicable):
brlapi-devel-0.5.4-3.fc12

How reproducible:
Always

Steps to Reproduce:
1. ls -l /usr/lib/libbrlapi*
2. ls -l /lib/libbrlapi*
3.
  
Actual results:
/usr/lib contains libbrlapi.so -> ../../lib/libbrlapi.so

but /lib only contains libbrlapi.so.0.5.4 and libbrlapi.so.0.5

Expected results:
libbrlapi.so points to ../../lib/libbrlapi.so.0.5

Additional info:
Maybe the static library (bug #556041) is getting used.

Comment 1 Michael Schwendt 2010-02-18 11:27:34 UTC
Confirmed.

No external package currently depends on the libbrlapi SONAME:

$ repoquery --disablerepo='*' --enablerepo='rawhide' --whatrequires libbrlapi.so.0.5 --qf "%{sourcerpm}"|sort|uniq
brltty-4.1-5.fc13.src.rpm

$ repoquery --disablerepo='*' --enablerepo='rawhide' --whatrequires libbrlapi.so.0.5
tcl-brlapi-0:0.5.4-5.fc13.i686
brlapi-java-0:0.5.4-5.fc13.i686
python-brlapi-0:0.5.4-5.fc13.i686

[...]

What packages build-require brlapi-devel?

$ repoquery --disablerepo='*' --enablerepo='rawhide-source' --srpm --whatrequires --qf "%{name}" brlapi-devel|sort|uniq
orca

However, "orca" build.log contains

| checking for python module brlapi... no

| NOTE: Braille support requires BrlTTY >= 3.9 and BrlAPI >= 0.5.1.

| Use brltty: no

and no signs of linking with -lbrlapi.

Comment 2 Bug Zapper 2010-11-04 00:06:13 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora Admin XMLRPC Client 2011-10-18 16:28:05 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Gwyn Ciesla 2012-02-02 14:33:59 UTC
Fedora 14 is End-of-Life, please reopen against a current release if this bug is still occurring.  Thank you!

Comment 5 Michael Schwendt 2012-02-02 17:40:54 UTC
It is still true for every released build of brlapi-devel.

That's embarrassing, Jon.

Comment 6 Gwyn Ciesla 2012-02-03 13:52:41 UTC
It is.  I must have overlooked this when I updated brltty in October.  I've fixed it in rawhide, and will push it to f16 and f16 shortly.

Comment 7 Fedora Update System 2012-02-03 16:07:18 UTC
brltty-4.3-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/brltty-4.3-3.fc16

Comment 8 Fedora Update System 2012-02-03 16:07:28 UTC
brltty-4.3-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/brltty-4.3-3.fc15

Comment 9 Fedora Update System 2012-02-04 05:24:34 UTC
Package brltty-4.3-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing brltty-4.3-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1236/brltty-4.3-3.fc16
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2012-02-12 22:52:48 UTC
brltty-4.3-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2012-02-12 22:53:08 UTC
brltty-4.3-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.